% $Id$ %
\section{\label{ref:Recording}Recording}
\subsection{\label{ref:while_recording_screen}While Recording Screen}
\screenshot{main_menu/images/ss-while-recording-screen}{The while recording
  screen}{}

Selecting the \setting{Recording} option in the \setting{Main Menu} enters
the \setting{Recording Screen}, whilst pressing \ActionStdContext{} enters the
\setting{Recording Settings} (see \reference{ref:Recordingsettings}). 
The \setting{Recording Screen}
shows the time elapsed and the size of the file being recorded. A peak meter
is present to allow you set gain correctly. There is also a volume setting,
this will only affect the output level of the \dap{} and does \emph{not}
affect the recorded sound. If enabled in the peak meter settings, a counter in
front of the peak meters shows the number of times the clip indicator was
activated during recording. The counter is reset to zero when starting a new
recording.\\*

\opt{recording_swcodec}{
\opt{disk_storage}{
\note{When you start a recording, the hard disk will spin up. This will cause
the peak meters to freeze in the process. This is expected behaviour, and
nothing to worry about. The recording continues during the spin up.\\*}}}

\opt{recording_hwcodec}{The frequency, channels and quality}
\opt{recording_swcodec}{The frequency and channels} settings are shown in the
status bar.\\*

The controls for this screen are:
\begin{table}
  \begin{btnmap}{}{}
    
    \ActionRecPrev{} / \ActionRecNext 
    \opt{HAVEREMOTEKEYMAP}{& \ActionRCRecPrev{} / \ActionRCRecNext}
    & Select setting.\\
    %
    \ActionRecSettingsDec{} / \ActionRecSettingsInc
    \opt{HAVEREMOTEKEYMAP}{& \ActionRCRecSettingsDec{} / \ActionRecSettingsInc}
    & Adjust selected setting.\\
    %
    \ActionRecPause 
    \opt{HAVEREMOTEKEYMAP}{& \ActionRCRecPause}
                    & Start recording.\\
                    & \opt{HAVEREMOTEKEYMAP}{&}
                      While recording: pause recording (press again to
                      continue).\\
    %
    \ActionRecExit  
    \opt{HAVEREMOTEKEYMAP}{& \ActionRCRecExit}
                    & Exit \setting{Recording Screen}.\\
                    & \opt{HAVEREMOTEKEYMAP}{&}
                      While recording: Stop recording.\\
    %
    \opt{IRIVER_H10_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD,%
         SANSA_E200_PAD,IPOD_4G_PAD,SANSA_C200_PAD}{
      \ActionRecNewfile
      \opt{HAVEREMOTEKEYMAP}{& \ActionRCRecNewfile} 
                     & While recording: close the current file and open
                     a new one.\\
    }
    %
    \ActionRecMenu
    \opt{HAVEREMOTEKEYMAP}{& \ActionRCRecMenu}
                       & Open \setting{Recording Settings} (see 
                       \reference{ref:Recordingsettings}).\\
    %
    \opt{RECORDER_PAD}{
      \ActionRecFTwo & Quick menu for recording settings. A quick press will
      leave the screen up (press \ActionRecFTwo{} again to exit), while holding
      it will close the screen when you release it.\\
    }
    %
    \opt{RECORDER_PAD}{
      \ActionRecFThree & Quick menu for source setting.\\
      & Quick/hold works as for \ActionRecFTwo.\\
      & While recording: Start a new recording file.\\
    }
  \end{btnmap}
\end{table}
